Skip to navigation

Validate a workflow

Loads a stored workflow by ID and runs deep validation. Saves the errors and warnings when they change, and returns isValid, errors, and warnings.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

idstringRequired

The _id of the workflow to validate

Response

Validation result; errors/warnings also persisted on the stored workflow when changed

isValidbooleanOptional
errorslist of anyOptional
warningslist of anyOptional

Errors

500
Internal Server Error